const ACTIVITY_URI = require("../config.js").ACTIVITY_URI;
const req = require("../utils/request").httpReq;

// 获取商家列表
exports.getBusinessList = async ctx => {
  const url = `${ACTIVITY_URI}/goods/background/ota_list`;
  const opts = {
    url,
    method: "GET"
  };
  ctx.body = await req(ctx, opts);
};

// 添加商品
exports.addGoods = async ctx => {
  const url = `${ACTIVITY_URI}/goods/background/add_goods`;
  const opts = {
    url,
    method: "POST",
    json: true,
    body: ctx.request.body
  };
  ctx.body = await req(ctx, opts);
};

// 商品库列表
exports.pindanGoods = async ctx => {
  const url = `${ACTIVITY_URI}/goods/background/pindan_goods`;
  const opts = {
    url,
    method: "GET"
  };
  ctx.body = await req(ctx, opts);
};

// 查看商品详情
exports.markGoodsInfo = async ctx => {
    const url = `${ACTIVITY_URI}/goods/background/marketing_goods_info`;
    const opts = {
      url,
      method: "GET"
    };
    ctx.body = await req(ctx, opts);
};

// 编辑商品
exports.editGoods = async ctx => {
    const url = `${ACTIVITY_URI}/goods/background/edit_goods`;
    const opts = {
      url,
      method: "POST",
      json: true,
      body: ctx.request.body
    };
    ctx.body = await req(ctx, opts);
  };

// 获取活动过列表
exports.getActivityList = async ctx => {
  const url = `${ACTIVITY_URI}/marketing/background/marketing_list`;
  const opts = {
    url,
    method: "GET"
  };
  ctx.body = await req(ctx, opts);
};

// 修改商品
exports.editGoodsDetail = async ctx => {
  const url = `${ACTIVITY_URI}/goods/background/edit_goods`;
  const opts = {
    url,
    method: "POST",
    json: true,
    body: ctx.request.body
  };
  ctx.body = await req(ctx, opts);
};

// 关闭/开启 活动
exports.updateActivity = async ctx => {
  const url = `${ACTIVITY_URI}/marketing/background/update_marketing`;
  const opts = {
    url,
    method: "POST",
    json: true,
    body: ctx.request.body
  };
  ctx.body = await req(ctx, opts);
  console.log(ctx.body);
};

// 查看活动订单
exports.checkActivityDetail = async ctx => {
  const url = `${ACTIVITY_URI}/marketing/background/marketing_info`;
  const opts = {
    url,
    method: "POST",
    json: true,
    body: ctx.request.body
  };
  ctx.body = await req(ctx, opts);
};
